Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
QCPBarsGroup Class Reference

Groups multiple QCPBars together so they appear side by side. More...

Inheritance diagram for QCPBarsGroup:

## Public Types
enum | SpacingType { stAbsolute, stAxisRectRatio, stPlotCoords }

## Public Member Functions
| QCPBarsGroup (QCustomPlot *parentPlot)
SpacingType | spacingType () const
double | spacing () const
void | setSpacingType (SpacingType spacingType)
void | setSpacing (double spacing)
QList< QCPBars * > | bars () const
QCPBars * | bars (int index) const
int | size () const
bool | isEmpty () const
void | clear ()
bool | contains (QCPBars *bars) const
void | append (QCPBars *bars)
void | insert (int i, QCPBars *bars)
void | remove (QCPBars *bars)

## Protected Member Functions
void | registerBars (QCPBars *bars)
void | unregisterBars (QCPBars *bars)
double | keyPixelOffset (const QCPBars *bars, double keyCoord)
double | getPixelSpacing (const QCPBars *bars, double keyCoord)

## Protected Attributes
QCustomPlot * | mParentPlot
SpacingType | mSpacingType
double | mSpacing
QList< QCPBars * > | mBars

## Friends
class | QCPBars

## Detailed Description

Groups multiple QCPBars together so they appear side by side.

When showing multiple QCPBars in one plot which have bars at identical keys, it may be desirable to have them appearing next to each other at each key. This is what adding the respective QCPBars plottables to a QCPBarsGroup achieves. (An alternative approach is to stack them on top of each other, see QCPBars::moveAbove.)

# Usage

To add a QCPBars plottable to the group, create a new group and then add the respective bars intances:

QCPBarsGroup *group = new QCPBarsGroup(customPlot);
group->append(bars1);
group->append(bars2);

Alternatively to appending to the group like shown above, you can also set the group on the QCPBars plottable via QCPBars::setBarsGroup.

The spacing between the bars can be configured via setSpacingType and setSpacing. The bars in this group appear in the plot in the order they were appended. To insert a bars plottable at a certain index position, or to reposition a bars plottable which is already in the group, use insert.

To remove specific bars from the group, use either remove or call QCPBars::setBarsGroup(0) on the respective bars plottable.

To clear the entire group, call clear, or simply delete the group.

## Member Enumeration Documentation

enum QCPBarsGroup::SpacingType

Defines the ways the spacing between bars in the group can be specified. Thus it defines what the number passed to setSpacing actually means.

See also
  setSpacingType, setSpacing

Enumerator
stAbsolute | Bar spacing is in absolute pixels.
stAxisRectRatio | Bar spacing is given by a fraction of the axis rect size.
stPlotCoords | Bar spacing is in key coordinates and thus scales with the key axis range.

## Constructor & Destructor Documentation

QCPBarsGroup::QCPBarsGroup | ( | QCustomPlot * | parentPlot | ) |

Constructs a new bars group for the specified QCustomPlot instance.

## Member Function Documentation

void QCPBarsGroup::append | ( | QCPBars * | bars | ) |

Adds the specified bars plottable to this group. Alternatively, you can also use QCPBars::setBarsGroup on the bars instance.

See also
  insert, remove

QList< QCPBars * > QCPBarsGroup::bars | ( |  | ) | const
| inline

Returns all bars currently in this group.

See also
  bars(int index)

QCPBars * QCPBarsGroup::bars | ( | int | index | ) | const

Returns the QCPBars instance with the specified index in this group. If no such QCPBars exists, returns 0.

See also
  bars(), size

void QCPBarsGroup::clear | ( |  | ) |

Removes all QCPBars plottables from this group.

See also
  isEmpty

bool QCPBarsGroup::contains | ( | QCPBars * | bars | ) | const
| inline

Returns whether the specified bars plottable is part of this group.

void QCPBarsGroup::insert | ( | int | i,
|  | QCPBars * | bars
| ) |  |

Inserts the specified bars plottable into this group at the specified index position i. This gives you full control over the ordering of the bars.

bars may already be part of this group. In that case, bars is just moved to the new index position.

See also
  append, remove

bool QCPBarsGroup::isEmpty | ( |  | ) | const
| inline

Returns whether this bars group is empty.

See also
  size

void QCPBarsGroup::remove | ( | QCPBars * | bars | ) |

Removes the specified bars plottable from this group.

See also
  contains, clear

void QCPBarsGroup::setSpacing | ( | double | spacing | ) |

Sets the spacing between adjacent bars. What the number passed as spacing actually means, is defined by the current SpacingType, which can be set with setSpacingType.

See also
  setSpacingType

void QCPBarsGroup::setSpacingType | ( | SpacingType | spacingType | ) |

Sets how the spacing between adjacent bars is interpreted. See SpacingType.

The actual spacing can then be specified with setSpacing.

See also
  setSpacing

int QCPBarsGroup::size | ( |  | ) | const
| inline

Returns the number of QCPBars plottables that are part of this group.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.h
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/widgets/qcustomplot.cpp